## ros-dashing-rosapi 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosapi)

find_package(ament_cmake_ros REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

ament_python_install_package(
  ${PROJECT_NAME} PACKAGE_DIR "src/${PROJECT_NAME}")

rosidl_generate_interfaces(${PROJECT_NAME}
  msg/TypeDef.msg
  srv/DeleteParam.srv
  srv/GetActionServers.srv
  srv/GetParam.srv
  srv/GetParamNames.srv
  srv/GetTime.srv
  srv/HasParam.srv
  srv/MessageDetails.srv
  srv/Nodes.srv
  srv/NodeDetails.srv
  srv/Publishers.srv
  srv/SearchParam.srv
  srv/ServiceHost.srv
  srv/ServiceNode.srv
  srv/ServiceProviders.srv
  srv/ServiceRequestDetails.srv
  srv/ServiceResponseDetails.srv
  srv/Services.srv
  srv/ServicesForType.srv
  srv/ServiceType.srv
  srv/SetParam.srv
  srv/Subscribers.srv
  srv/Topics.srv
  srv/TopicsForType.srv
  srv/TopicType.srv
  DEPENDENCIES builtin_interfaces
)

ament_export_dependencies(builtin_interfaces rosidl_default_runtime)

ament_package()

install(PROGRAMS scripts/rosapi_node
  DESTINATION lib/${PROJECT_NAME}
)

install(
  FILES mapping_rules.yaml
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-dashing-rosapi (1.0.2-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Sep 2019 07:00:00 -0000

ros-dashing-rosapi (1.0.1-1bionic) bionic; urgency=high

  * fix missing dependency

 -- Russell Toris <rctoris@wpi.edu>  Fri, 20 Sep 2019 07:00:00 -0000

ros-dashing-rosapi (1.0.0-1bionic) bionic; urgency=high

  * Port to ROS 2

 -- Russell Toris <rctoris@wpi.edu>  Thu, 19 Sep 2019 07:00:00 -0000

ros-dashing-rosapi (0.11.3-1bionic) bionic; urgency=high

  * Travis CI: Look for Python syntax errors and undefined name (#420 <https://github.com/RobotWebTools/rosbridge_suite/issues/420>)
    * Travis CI: Look for Python syntax errors and undefined name
    _It would be prudent to start running the tests in both 2 and 3._  https://github.com/RobotWebTools/rosbridge_suite/issues/401#issuecomment-512069249
    * Add names to protect the guilty
    * Five jobs, not six
    * Identity is not the same thing as equality in Python
    * Flake8 tests now pass on Python 2
  * Contributors: cclauss

 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 07:00:00 -0000

ros-dashing-rosapi (0.11.2-1bionic) bionic; urgency=high

  * constnames and constvalues in typedef (#412 <https://github.com/RobotWebTools/rosbridge_suite/issues/412>)
  * Contributors: Kad91

 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 07:00:00 -0000

ros-dashing-rosapi (0.11.1-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rosapi (0.11.0-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 29 Mar 2019 07:00:00 -0000

ros-dashing-rosapi (0.10.2-1bionic) bionic; urgency=high

  * Use Master.getTopicTypes() in /rosapi/topics to increase performance (#381 <https://github.com/RobotWebTools/rosbridge_suite/issues/381>)
  * Contributors: Affonso, Guilherme

 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 Mar 2019 08:00:00 -0000

ros-dashing-rosapi (0.10.1-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 16 Dec 2018 08:00:00 -0000

ros-dashing-rosapi (0.10.0-1bionic) bionic; urgency=high

  * Drop use of ros Python module (#374 <https://github.com/RobotWebTools/rosbridge_suite/issues/374>)
  * Fixes passing of globs to proxy (#355 <https://github.com/RobotWebTools/rosbridge_suite/issues/355>)
    * Fixes handling and passing of globs to proxy
    * Removes some confusing imports
  * Fix a few problems (#350 <https://github.com/RobotWebTools/rosbridge_suite/issues/350>)
    * xrange is not available in Python3, range works for both Python versions
    * the variable v is undefined in search_param, comparing the implementation with the sibling functions I expect name to be the intended variable
    * The module udp_handler is using the Authentication service but wasn't importing the module
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Contributors: Anwar, Dirk Thomas, Jochen Sprickerhof

 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Dec 2018 08:00:00 -0000

ros-dashing-rosapi (0.9.0-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 09 Apr 2018 07:00:00 -0000

ros-dashing-rosapi (0.8.6-1bionic) bionic; urgency=high

  * Fixed action_servers filter to allow more than one namespace (#305 <https://github.com/RobotWebTools/rosbridge_suite/issues/305>)
    * Modified action_servers filter to detect topics with more than one namespace
    * Fixed to return the full namespace
  * Contributors: milesial

 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 Dec 2017 08:00:00 -0000

ros-dashing-rosapi (0.8.5-1bionic) bionic; urgency=high

  * Add Python3 compatibility (#300 <https://github.com/RobotWebTools/rosbridge_suite/issues/300>)
    * First pass at Python 3 compatibility
    * message_conversion: Only call encode on a Python2 str or bytes type
    * protocol.py: Changes for dict in Python3. Compatible with Python 2 too.
    * More Python 3 fixes, all tests pass
    * Move definition of string_types to rosbridge_library.util
  * Contributors: Kartik Mohta

 -- Russell Toris <rctoris@wpi.edu>  Thu, 23 Nov 2017 08:00:00 -0000

ros-dashing-rosapi (0.8.4-1bionic) bionic; urgency=high

  * Handles empty globes properly (#297 <https://github.com/RobotWebTools/rosbridge_suite/issues/297>)
    * Refactors get_globs function to a separate module
    * Refactors the filtering that uses the globs
    * Some linting
    * Handles topic types for empty globs
    * Refactors out an any_match function
    * Simplifies filter_action_servers
    * Imports socket for the errors
    * Uses import .glob_helper
  * Contributors: Anwar

 -- Russell Toris <rctoris@wpi.edu>  Mon, 16 Oct 2017 07:00:00 -0000

ros-dashing-rosapi (0.8.3-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 07:00:00 -0000

ros-dashing-rosapi (0.8.2-1bionic) bionic; urgency=high

  * Removes array delimiters while parsing parameters (#292 <https://github.com/RobotWebTools/rosbridge_suite/issues/292>)
  * Contributors: Anwar

 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 07:00:00 -0000

ros-dashing-rosapi (0.8.1-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 07:00:00 -0000

ros-dashing-rosapi (0.8.0-1bionic) bionic; urgency=high

  * fix delete_param in rosapi (#284 <https://github.com/RobotWebTools/rosbridge_suite/issues/284>)
  * Merge pull request #276 <https://github.com/RobotWebTools/rosbridge_suite/issues/276> from sevenbitbyte/DOCUMENT_GLOB
    Document glob
  * Update README.md
    Formatting and examples
  * Create README.md
  * Contributors: 7bit, Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 07:00:00 -0000

ros-dashing-rosapi (0.7.17-1bionic) bionic; urgency=high

  * Added bug fix in rosapi
  * no rospy needed, just for debug logging
  * new service: get actionlib servers
  * adjust log level for security globs


=== debian/control ===
Source: ros-dashing-rosapi
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-ros, ros-dashing-builtin-interfaces, ros-dashing-rosidl-default-generators, ros-dashing-ros-workspace, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: http://ros.org/wiki/rosapi
Standards-Version: 3.9.2

Package: ros-dashing-rosapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-builtin-interfaces, ros-dashing-rcl-interfaces, ros-dashing-rclpy, ros-dashing-ros2node, ros-dashing-ros2param, ros-dashing-ros2pkg, ros-dashing-ros2service, ros-dashing-ros2topic, ros-dashing-rosbridge-library, ros-dashing-rosidl-default-runtime, ros-dashing-ros-workspace
Description: Provides service calls for getting ros meta-information, like list of topics, services, params, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rosapi//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
